<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
	  xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">

<head>
	<security:csrf disabled="true" />
	<meta charset="UTF-8">
	<meta name="viewport"
		  content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
		  integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css"
		  integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
	<link rel="stylesheet" th:href="@{/css/style.css}" />
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

	<title>Insurance Management system</title>
</head>

<body class="banner">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="/js/shop/yearControl.js"></script>
<script src="/js/shop/addToCart.js"></script>
<!-- Start navigation bar -->

<nav class="navbar navbar-expand-lg navbar-dark bg-secondary">
	<div class="container-fluid">
		<a class="navbar-brand" th:href="@{/}">
			<img th:src="@{/images/logo.png}" width="auto" height="40" class="d-inline-block align-top" alt="" />
		</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
				aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>

</span>
		</button>

		<div class="collapse navbar-collapse" id="navbarSupportedContent">
			<ul class="navbar-nav ml-auto text-uppercase">
				<li class="nav-item active">
					<a class="nav-link mt-2" th:href="@{/shop}" href="#">shop</a>
				</li>
				<li class="nav-item active">
					<a class="nav-link mt-2" sec:authorize="isAuthenticated()" th:href="@{/logout}"
					   href="#">logout</a>
				</li>
				<li class="nav-item active">
					<a class="nav-link" th:href="@{/cart}" href="#">
						<img th:src="@{/images/cart.png}" width="auto" height="40" class="d-inline-block align-top"
							 alt="" />
					</a>
				</li>

			</ul>

		</div>
	</div>
</nav>

<!-- Close navigation bar -->

<!-- for specific policy -->

<div id="main" class="container mt-5">
	<div class="row">
		<div class="col-sm-6 offset-md-3">
			<div class="my-card">
				<div class="">
					<img class="mt-2" height="300px" width="400px" src=""
						 th:src="@{${'/policyImages/' + policy.imageName}}" alt="">
				</div>
				<div class="">
					<h2 th:text="${policy.name}"></h2>
					<p th:text="${policy.company.name}"></p>
					<h2>₹ <span th:text="${policy.price}"></span></h2>
					<h5>Claimable:
						<spna th:text="${policy.claimable}"></spna>
					</h5>
					<p th:text="${policy.description}"></p>
					<div>
					<span th:if="${policy.year}" class="text-success">

								<div th:replace="yearControl :: yearControl(1, ${policy.id})">Year</div>
								<!--<div class="text-danger"><b>[[${msg}]]</b></div>-->
								<button class="btn btn-primary" id="buttonAddToCart">Add to cart</button>
							</span>

						<span th:unless="${policy.year}" class="text-success">

								<div th:replace="yearControl :: yearControl(1, ${policy.id})">Year</div>
								<button disabled class="btn btn-primary" id="buttonAddToCart">Add to cart</button>
							</span>



					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
		contextPath = "[[@{/}]]";
		var policyId = "[[${policy.id}]]";
	</script>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
		integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
		crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
		integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
		crossorigin="anonymous"></script>
</body>

</html>